commit 5ea0b7436f3fc1cf7c451201983973610bf2a0ec
Author: Richard Biener <rguenther@suse.de>
Date:   Wed Jan 28 10:16:29 2026

    rtl-optimization/106859 - fix location dumping from var-tracking
    
    We currently ICE when the locations include one without a setting insn.
    Looking at cselib this seems to be a supported state so the following
    arranges for this and dumps -1 as UID.
    
            PR rtl-optimization/106859
            * var-tracking.cc (val_store): Dump -1 as UID if setting_insn
            is NULL.
    
    (cherry picked from commit 974182ec0985dfce4960d07cae5f28ae2f70874e)

diff --git a/gcc/var-tracking.cc b/gcc/var-tracking.cc
index d70ed02e98c..720254bbfc8 100644
--- a/gcc/var-tracking.cc
+++ b/gcc/var-tracking.cc
@@ -2519,7 +2519,8 @@ val_store (dataflow_set *set, rtx val, rtx loc, rtx_insn *insn,
 	  struct elt_loc_list *l;
 	  for (l = v->locs; l; l = l->next)
 	    {
-	      fprintf (dump_file, "\n%i: ", INSN_UID (l->setting_insn));
+	      fprintf (dump_file, "\n%i: ",
+		       l->setting_insn ? INSN_UID (l->setting_insn) : -1);
 	      print_inline_rtx (dump_file, l->loc, 0);
 	    }
 	}

